> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chunk and Artifact Information by Chunk ID



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/knowledge-bases/chunks/{chunk_id}
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/knowledge-bases/chunks/{chunk_id}:
    get:
      tags:
        - Knowledge Bases
      summary: Get Chunk and Artifact Information by Chunk ID
      operationId: GET-V4-/knowledge-bases/chunks/{chunk_id}
      parameters:
        - name: chunk_id
          in: path
          required: true
          schema:
            type: string
            title: Chunk Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChunkWithStatusWithArtifact'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ChunkWithStatusWithArtifact:
      properties:
        id:
          type: string
          title: Id
          description: The id of the chunk
        text:
          type: string
          title: Text
          description: The text of the chunk as stored in the database
        artifact_id:
          type: string
          title: Artifact Id
          description: The id of the artifact
        chunk_position:
          type: integer
          title: Chunk Position
          description: Chunk position
        metadata:
          title: Metadata
          description: Metadata of the chunk which is stored in OpenSearch
          default: {}
          additionalProperties: true
          type: object
        user_supplied_metadata:
          title: User Supplied Metadata
          description: >-
            Metadata of the chunk which is stored in the database only provided
            via custom chunking.
          default: {}
          additionalProperties: true
          type: object
        status:
          $ref: >-
            #/components/schemas/egp_api_backend__server__internal__entities__ChunkUploadStatus
          description: >-
            Status of the chunk. If Failed or Pending, its possible that the
            chunk does not reflect in OpenSearch
        status_reason:
          title: Status Reason
          description: Status reason of the chunk. May be successful
          type: string
        created_at:
          title: Created At
          description: Date and time of chunk creation
          type: string
          format: date-time
        artifact:
          $ref: '#/components/schemas/Artifact'
          description: The information of the artifact this chunk belongs to
      type: object
      required:
        - id
        - text
        - artifact_id
        - chunk_position
        - status
        - artifact
      title: ChunkWithStatusWithArtifact
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    egp_api_backend__server__internal__entities__ChunkUploadStatus:
      type: string
      enum:
        - Pending
        - Completed
        - Failed
      title: ChunkUploadStatus
    Artifact:
      properties:
        artifact_id:
          title: Artifact Id
          type: string
        knowledge_base_id:
          type: string
          title: Knowledge Base Id
        chunking_strategy_config:
          $ref: '#/components/schemas/ChunkingStrategyConfig'
        artifact_name:
          type: string
          title: Artifact Name
        artifact_uri:
          type: string
          title: Artifact Uri
        artifact_uri_public:
          title: Artifact Uri Public
          type: string
        content_modification_identifier:
          title: Content Modification Identifier
          type: string
        source:
          $ref: '#/components/schemas/DataSource'
        status:
          $ref: >-
            #/components/schemas/egp_api_backend__server__internal__entities__ArtifactUploadStatus
        status_reason:
          title: Status Reason
          type: string
        checkpoint:
          $ref: >-
            #/components/schemas/egp_api_backend__server__internal__entities__ArtifactUploadStatus
        created_at:
          anyOf:
            - type: string
            - type: string
              format: date-time
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: string
              format: date-time
          title: Updated At
        deleted_at:
          anyOf:
            - type: string
            - type: string
              format: date-time
          title: Deleted At
        tags:
          title: Tags
          additionalProperties: true
          type: object
      type: object
      required:
        - knowledge_base_id
        - artifact_name
        - artifact_uri
        - source
        - status
        - created_at
        - updated_at
      title: Artifact
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ChunkingStrategyConfig:
      oneOf:
        - $ref: '#/components/schemas/CharacterChunkingStrategyConfig'
        - $ref: '#/components/schemas/TokenChunkingStrategyConfig'
        - $ref: '#/components/schemas/CustomChunkingStrategyConfig'
        - $ref: '#/components/schemas/PreChunkedStrategyConfig'
        - $ref: '#/components/schemas/EnhancedChunkingStrategyConfig'
      title: ChunkingStrategyConfig
      discriminator:
        propertyName: strategy
        mapping:
          character:
            $ref: '#/components/schemas/CharacterChunkingStrategyConfig'
          custom:
            $ref: '#/components/schemas/CustomChunkingStrategyConfig'
          enhanced:
            $ref: '#/components/schemas/EnhancedChunkingStrategyConfig'
          pre_chunked:
            $ref: '#/components/schemas/PreChunkedStrategyConfig'
          token:
            $ref: '#/components/schemas/TokenChunkingStrategyConfig'
    DataSource:
      type: string
      enum:
        - S3
        - SharePoint
        - SharePointPage
        - LocalFile
        - LocalChunks
        - GoogleDrive
        - AzureBlobStorage
        - GoogleCloudStorage
        - Confluence
        - Slack
        - Snowflake
        - Databricks
        - SQLDatabase
        - MongoDB
        - BigQuery
      title: DataSource
    egp_api_backend__server__internal__entities__ArtifactUploadStatus:
      type: string
      enum:
        - Pending
        - Chunking
        - Uploading
        - Completed
        - Failed
        - Deleting
        - Canceled
        - Embedding
      title: ArtifactUploadStatus
    CharacterChunkingStrategyConfig:
      properties:
        strategy:
          type: string
          const: character
          title: Strategy
        separator:
          title: Separator
          description: >-
            Character designating breaks in input data. Text data will first be
            split into sections by this separator, then each section will be
            split into chunks of size `chunk_size`.
          default: |+


          type: string
        chunk_size:
          title: Chunk Size
          description: >-
            Maximum number of characters in each chunk. If not specified, a
            chunk size of 1000 will be used.
          default: 1000
          type: integer
          minimum: 1
        chunk_overlap:
          title: Chunk Overlap
          description: >-
            Number of characters to overlap between chunks. If not specified, an
            overlap of 200 will be used. For example if the chunk size is 3 and
            the overlap size is 1, and the text to chunk is 'abcde', the chunks
            will be 'abc', 'cde'.
          default: 200
          type: integer
          minimum: 0
      type: object
      required:
        - strategy
      title: CharacterChunkingStrategyConfig
    TokenChunkingStrategyConfig:
      properties:
        strategy:
          type: string
          const: token
          title: Strategy
        separator:
          title: Separator
          description: >-
            Character designating breaks in input data. Text data will first be
            split into sections by this separator, then each section will be
            split into chunks of size `chunk_size`.
          default: |+


          type: string
        target_chunk_size:
          title: Target Chunk Size
          description: >-
            Target number of tokens in each chunk. If not specified, a target
            chunk size of 200 will be used.
          default: 200
          type: integer
          minimum: 1
        max_chunk_size:
          title: Max Chunk Size
          description: >-
            Maximum number of tokens in each chunk. If not specified, a maximum
            chunk size of 600 will be used.
          default: 600
          type: integer
          minimum: 1
        chunk_overlap:
          title: Chunk Overlap
          description: >-
            Number of tokens to overlap between chunks. If not specified, an
            overlap of 0 will be used. Not this if only followed approximately.
          default: 0
          type: integer
          minimum: 0
      type: object
      required:
        - strategy
      title: TokenChunkingStrategyConfig
    CustomChunkingStrategyConfig:
      properties:
        strategy:
          type: string
          const: custom
          title: Strategy
        endpoint:
          type: string
          title: Endpoint
          description: Endpoint path to call for custom chunking
        params:
          title: Params
          description: >-
            Parameters that will be appended to the body of the request for the
            chunk.
          default: {}
          additionalProperties: true
          type: object
      type: object
      required:
        - strategy
        - endpoint
      title: CustomChunkingStrategyConfig
    PreChunkedStrategyConfig:
      properties:
        strategy:
          type: string
          const: pre_chunked
          title: Strategy
      type: object
      required:
        - strategy
      title: PreChunkedStrategyConfig
      description: Only compliant with the .chunks file type
    EnhancedChunkingStrategyConfig:
      properties:
        strategy:
          type: string
          const: enhanced
          title: Strategy
          default: enhanced
        chunk_mode:
          type: string
          enum:
            - variable
            - section
            - page
            - page_sections
            - block
          title: Chunk Mode
          description: Enhanced internal chunking method
          default: section
        options:
          title: Options
          description: Options for enhanced parsing
          additionalProperties: true
          type: object
        advanced_options:
          title: Advanced Options
          description: Advanced options for enhanced parsing
          additionalProperties: true
          type: object
        experimental_options:
          title: Experimental Options
          description: Experimental options for enhanced parsing
          additionalProperties: true
          type: object
        use_async_parsing:
          type: boolean
          title: Use Async Parsing
          default: false
      type: object
      title: EnhancedChunkingStrategyConfig
      description: Enhanced document parsing and chunking

````